- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Creates a DeviceSession.
HTTP request
POST https://devicestreaming.googleapis.com/v1/{parent=projects/*}/deviceSessions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The Compute Engine project under which this device will be allocated. "projects/{projectId}" It takes the form |
Query parameters
| Parameters | |
|---|---|
deviceSessionId |
Optional. The ID to use for the DeviceSession, which will become the final component of the DeviceSession's resource name. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/. |
Request body
The request body contains an instance of DeviceSession.
Response body
If successful, the response body contains a newly created instance of DeviceSession.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
devicestreaming.deviceSessions.create
For more information, see the IAM documentation.